Implementation of form driven bibliographic reference editing for wiki articles.
Closed, DuplicatePublic

Description

Author: robburns1

Description:
A system to help novice users enter bibliographic data. For types of sources
where unique identifiers exist (such as books:ISBN, periodicals:ISSN and
webpages:URL), a user would simply enter this unique identifier into a HTML form
element. WikiMedia (or an extension) would lookup the relevant metadata within a
local WikiMedia database. If the bibliographic source is not already in the
local database, a lookup would be conducted through the various web services
available (Library of Congress, Amazon, extracted from the URL page's head
metadata, etc) and add the bibliographic source to WikiMedia bibliographic
source database. For other source types (e.g., newspaper articles), the user
would be presented with a more complex form to entere structured data into the
database.

Whether automatically retrieved successfully or manually entered, this database
would entry would result in a unique ID for the bibliographic reference: a
WikiMedia Catalog Number (or WMCN). Attaching this WMCN to a reference element
would allow the automatic generation of a cited source list from the structrued
bibliographic data record. Something like:

<ref wmcn="ISBN:0691002606">See pp24-47</ref>
<ref wmcn="ISBN:0691002606">See pp24-47</ref>

Combined with:
Notes Heading:
&lt;references /&gt;
<references />

Sources Heading:
&lt;sources&/gt;
<sources />

would generate not only the list of notes, but also the bibliographic referenced
source from the database:

Sources Heading:
Ptolemy, Claudius (1998). The Almagest. Princeton, NJ: Princeton University Press.

This scheme would extend the benefits of the existing ref and references
elements to provide better support for bibliographic source lists, while
leveraging the advnatages of those elements. It would also: 1) help ensure
sources were consistently documented; 2) allow a further separation between
content and presentation (user preferences could even specify how bibliographic
data is presented); 3) allow easier extraction of bibliographic records
according to a preferred scheme (such as BIBTex).

(descriptive words: structure bibliography record reference citation cite note)


Version: unspecified
Severity: enhancement

bzimport added a project: MediaWiki-Page-editing.Via ConduitNov 21 2014, 9:17 PM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz6535.
bzimport created this task.Via LegacyJul 4 2006, 1:14 AM
bzimport added a comment.Via ConduitJul 4 2006, 1:15 AM

robburns1 wrote:

Above, I included both html character references and <> symbols because I didn't
know how the system worked.

bzimport added a comment.Via ConduitJul 5 2006, 8:10 PM

robburns1 wrote:

I can't figure out how to correct my feature request so I thought I'd make some corrections in a comment. I meant to use an attribute called
source that would either take an ISBN and ISSn or the proposed wikimedia catalog number (WMCN). The example below shows a WMCN pointing
to a digital video where the not includes a time reference to the precise place in the video.

The references list would then generate appropriate citations that could be matched with the sources in the source list (with links between each).
If was more familiar with development (especially in this enviornment) I'd jump in and put together a prototype. Please email me with any
questions or clarifications about the proposed feature.

<ref source="ISBN:0691002606">See pp24-47</ref>
<ref source="wmcn:4253073001">timestamp 2:45</ref>

Combined with:
Notes Heading:
<references />

Sources Heading:
<sources />

Phil_Boswell added a comment.Via ConduitFeb 28 2014, 6:08 PM

phil.boswell wrote:

Would this be something that could work with Wikidata?

Aklapper added subscribers: Aklapper, Mvolz.Via WebJun 4 2015, 1:01 PM

A system to help novice users enter bibliographic data.

Hmm, is that request nowadays sufficiently covered (=close this task as resolved?) by Citoid which is available in VisualEditor?

Mvolz added a comment.Via WebJun 4 2015, 1:29 PM
  1. Citoid does not currently have ISBN support, that task is here: T1084
  1. When citoid gets ISBN support, this is resolved for VE. (Unfortunately this is complicated by the paucity of free, open ways of querying for ISBNs)
  1. In wikitext, however, there is no citoid support, task here: T94223

This does seem to generally cover what citoid does though, so could maybe mark as duplicate?

Mvolz added a project: Citoid.
Mvolz set Security to None.

Add Comment